%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 19 i686 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 11
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 19 i686-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Thu Apr 23 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Kernel modules added for the following kernels:
		3.14.27-100 i686

* Mon Jan 05 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Kernel modules added for the following kernels:
		3.14.27-100

* Tue Dec  9 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Rebuilt all kernel modules by specifying the correct KVER value.

* Tue Nov 18 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Kernel modules added for the following kernels:
		3.14.23-100

* Mon Oct 20 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Kernel modules added for the following kernels:
		3.14.22-100

* Tue Sep 30 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Kernel modules added for the following kernels:
		3.14.19-100

* Wed Aug 20 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Kernel modules added for the following kernels:
		3.14.17-100

* Sat Aug  8 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Kernel modules added for the following kernels:
		3.14.15-100

* Mon Jul 28 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Kernel modules added for the following kernels:
		3.14.13-100

* Mon Jun 23 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules added for the following kernels:
		3.14.7-100
		3.14.8-100

* Mon Jun 2 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Kernel modules are available for the following kernels:
		3.9.5-301   3.9.9-302    3.10.3-300   3.10.4-300   3.10.5-201
		3.10.6-200  3.10.7-200   3.10.9-200   3.10.10-200  3.10.11-200
		3.11.1-200  3.11.2-201   3.11.3-201   3.11.4-201   3.11.6-200
		3.11.6-201  3.11.7-200   3.11.8-200   3.11.9-200   3.11.10-200
		3.12.5-200  3.12.6-200   3.12.7-200   3.12.8-200   3.12.9-201
		3.12.11-201 3.13.5-101   3.13.5-103   3.13.6-100   3.13.7-100
		3.13.9-100  3.13.11-100  3.14.4-100
